ApiManagementInternal
POST
/v1/mgmt/sso/provider-ids

Authorization

Descope Project ID and Management Key
AuthorizationBearer <token>

Project ID:Management Key as bearer token.

In: header

Request Body

application/json

tenantId*string
Length1 <= length
ssoId?string
Lengthlength <= 254
samlProviderId?string
Length1 <= length
samlScimProviderId?string
Length1 <= length
oidcProviderId?string
Length1 <= length
oidcScimProviderId?string
Length1 <= length
xaaProviderId?string
Length1 <= length

Update SSO provider IDs and SCIM provider IDs for tenant SSO settings. This endpoint is not publicly documented.

curl -X POST "https://api.descope.com/v1/mgmt/sso/provider-ids" \  -H "Content-Type: application/json" \  -d '{    "tenantId": "string"  }'
Was this helpful?